System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElement

This class corresponds to the type attribute of the Add Element for AuthenticationModules (Network Settings) configuration element.

This class is used to specify modules registered to authenticate requests made with the and classes.

This class provides programmatic access to information that can be stored in configuration files.

Represents the type information for an authentication module. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor sets the property to null.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter contains the fully qualified type name followed by a comma (,) and the assembly information. The elements of the assembly information are separated with commas, for example, Corp.Net.Authenticator, Corp, Version=1.0.5000.0, Culture=neutral, PublicKeyToken="00000000000000000".

  Initializes a new instance of the class with the specified type information.

  A string that identifies the type and the assembly that contains it.
- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added.

  The collection contains one element, which corresponds to the property.

  Gets the collection of properties for the current instance.

- Property
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.String To be added.

  This property contains the fully qualified type name followed by a comma (,) and the assembly information. The elements of the assembly information are separated with commas, for example, Corp.Net.Authenticator, Corp, Version=1.0.5000.0, Culture=neutral, PublicKeyToken="00000000000000000".

  Gets or sets the type and assembly information for the current instance.